Package relaxngcc

# Class RelaxNGCC

java.lang.Object
relaxngcc.RelaxNGCC

public class RelaxNGCC extends Object
main class

## Constructor Summary

Constructors
Constructor
Description
`RelaxNGCC()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
`static void`
`purify(File in, File out)`
Removes RelaxNGCC annotations from the source schema and write to the specified file.
`static void`
`run(Options o)`
Executes RelaxNGCC with the specified options.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RelaxNGCC

public RelaxNGCC()

## Method Details

### main

public static void main(String[] args) throws Exception

Throws:
  `Exception`

### run

public static void run(Options o) throws Exception
Executes RelaxNGCC with the specified options.

Throws:
  `Exception`

### purify

public static void purify(File in, File out) throws Exception
Removes RelaxNGCC annotations from the source schema and write to the specified file.

Throws:
  `Exception`